{ lib, stdenv, fetchgit, bash, curl, jq, makeWrapper }:

stdenv.mkDerivation rec {
  pname = "supload";
  version = "1.3.1";

  src = fetchgit {
    url = "https://git.volkor.me/Volkor/SUpload.git";
    rev = version;
    hash = "sha256-gCb+N2nXnJcrN0uwlpx8QGo8EvpT8vpUn/UjbAg4kt8=";
  };

  dontBuild = true;
  nativeBuildInputs = [ makeWrapper ];
  installPhase = ''
    mkdir -p $out/bin
    cp supload.sh $out/bin/supload
    wrapProgram $out/bin/supload \
      --prefix PATH : ${lib.makeBinPath [ bash curl jq ]}
  '';

  meta = with lib; {
    description = "Simple bash script to take screenshots and upload files to various file hosts";
    homepage = "https://git.volkor.me/Volkor/SUpload";
    license = licenses.mit;
    maintainers = with maintainers; [ "Volkor" ];
    mainProgram = "supload";
    platforms = platforms.all;
  };
}
